function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import Button from "@material-ui/core/Button";
import { useButtonBootstrapStyles } from "./ButtonBootstrap.styles";
export default {
  title: "Component/Button/Bootstrap",
  component: Button,
  argTypes: {},
  args: {
    disableTouchRipple: true
  },
  parameters: {
    layout: "centered"
  }
};
export var Contained = function Contained(args) {
  var classes = useButtonBootstrapStyles();
  return /*#__PURE__*/React.createElement("div", {
    style: {
      gap: 12,
      display: "flex"
    }
  }, /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes
  }), "Default"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    color: "primary"
  }), "Primary"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    color: "secondary"
  }), "Secondary"));
};
Contained.args = {
  variant: "contained"
};
export var Outlined = function Outlined(args) {
  var classes = useButtonBootstrapStyles();
  return /*#__PURE__*/React.createElement("div", {
    style: {
      gap: 12,
      display: "flex"
    }
  }, /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes
  }), "Default"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    color: "primary"
  }), "Primary"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    color: "secondary"
  }), "Secondary"));
};
Outlined.args = {
  variant: "outlined"
};
export var Disabled = function Disabled(args) {
  var classes = useButtonBootstrapStyles();
  return /*#__PURE__*/React.createElement("div", {
    style: {
      gap: 12,
      display: "flex"
    }
  }, /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    variant: "contained"
  }), "Default"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    variant: "contained",
    color: "primary"
  }), "Primary"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    variant: "contained",
    color: "secondary"
  }), "Secondary"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    variant: "outlined"
  }), "Default"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    variant: "outlined",
    color: "primary"
  }), "Primary"), /*#__PURE__*/React.createElement(Button, _extends({}, args, {
    classes: classes,
    variant: "outlined",
    color: "secondary"
  }), "Secondary"));
};
Disabled.args = {
  disabled: true
};